Main Page Class Hierarchy Compound List File List Compound Members File Members

# STREAM_MW_RW_PARMS Struct Reference

`#include <kwhdrs_ew.h>`

List of all members.

## Public Attributes
unsigned char | filterFlag
unsigned char | primaryStorage
unsigned char | secondaryStorage
unsigned char | bytepad [5]
unsigned short | eventNumber
unsigned short | sps
unsigned short | apw
unsigned short | preEvent
unsigned short | postEvent
unsigned short | minRunTime
short | VotesToTrigger
short | VotesToDetrigger
char | bytepada
unsigned char | FilterType
unsigned char | DataFmt
char | Reserved
short | Timeout
unsigned short | TxBlkSize
unsigned short | BufferSize
unsigned short | SampleRate
unsigned long | TxChanMap
long | dwordpad [2]
VOTER_INFO | voterInfo [STREAM_MW_MAX_VOTERS]

## Member Data Documentation

unsigned short STREAM_MW_RW_PARMS::apw

| Definition at line 584 of file kwhdrs_ew.h. Referenced by read_head().

unsigned short STREAM_MW_RW_PARMS::BufferSize

| Definition at line 598 of file kwhdrs_ew.h. Referenced by read_head().

unsigned char STREAM_MW_RW_PARMS::bytepad[5]

| Definition at line 581 of file kwhdrs_ew.h.

char STREAM_MW_RW_PARMS::bytepada

| Definition at line 592 of file kwhdrs_ew.h.

unsigned char STREAM_MW_RW_PARMS::DataFmt

| Definition at line 594 of file kwhdrs_ew.h. Referenced by read_head().

long STREAM_MW_RW_PARMS::dwordpad[2]

| Definition at line 601 of file kwhdrs_ew.h.

unsigned short STREAM_MW_RW_PARMS::eventNumber

| Definition at line 582 of file kwhdrs_ew.h. Referenced by read_head().

unsigned char STREAM_MW_RW_PARMS::filterFlag

| Definition at line 576 of file kwhdrs_ew.h. Referenced by read_head().

unsigned char STREAM_MW_RW_PARMS::FilterType

| Definition at line 593 of file kwhdrs_ew.h. Referenced by read_head().

unsigned short STREAM_MW_RW_PARMS::minRunTime

| Definition at line 587 of file kwhdrs_ew.h. Referenced by read_head().

unsigned short STREAM_MW_RW_PARMS::postEvent

| Definition at line 586 of file kwhdrs_ew.h. Referenced by read_head().

unsigned short STREAM_MW_RW_PARMS::preEvent

| Definition at line 585 of file kwhdrs_ew.h. Referenced by read_head().

unsigned char STREAM_MW_RW_PARMS::primaryStorage

| Definition at line 579 of file kwhdrs_ew.h. Referenced by read_head().

char STREAM_MW_RW_PARMS::Reserved

| Definition at line 595 of file kwhdrs_ew.h.

unsigned short STREAM_MW_RW_PARMS::SampleRate

| Definition at line 599 of file kwhdrs_ew.h. Referenced by read_head().

unsigned char STREAM_MW_RW_PARMS::secondaryStorage

| Definition at line 580 of file kwhdrs_ew.h. Referenced by read_head().

unsigned short STREAM_MW_RW_PARMS::sps

| Definition at line 583 of file kwhdrs_ew.h. Referenced by read_head().

short STREAM_MW_RW_PARMS::Timeout

| Definition at line 596 of file kwhdrs_ew.h. Referenced by read_head().

unsigned short STREAM_MW_RW_PARMS::TxBlkSize

| Definition at line 597 of file kwhdrs_ew.h. Referenced by read_head().

unsigned long STREAM_MW_RW_PARMS::TxChanMap

| Definition at line 600 of file kwhdrs_ew.h. Referenced by read_head().

struct VOTER_INFO STREAM_MW_RW_PARMS::voterInfo[STREAM_MW_MAX_VOTERS]

| Definition at line 608 of file kwhdrs_ew.h.

short STREAM_MW_RW_PARMS::VotesToDetrigger

| Definition at line 589 of file kwhdrs_ew.h. Referenced by read_head().

short STREAM_MW_RW_PARMS::VotesToTrigger

| Definition at line 588 of file kwhdrs_ew.h. Referenced by read_head().

The documentation for this struct was generated from the following file:

- kwhdrs_ew.h